exec("./Stranded_Inventory.gui");
exec("./Stranded_Cook.gui");
exec("./Stranded_Forge.gui");
exec("./Stranded_Craft.gui");
exec("./Stranded_Tribe.gui");

$ClientVersion = 1;
$StranInvOn = 0;

if(!$addedStrandedBinds)
{
	$remapDivision[$remapCount] = "Stranded";
	$remapName[$remapCount] = "OpenInventory";
	$remapCmd[$remapCount] = "Stranded_ToggleInv";
	$remapCount++;
	
	$addedStrandedBinds = 2;
}

function clientCmdStranded_OpenCook(%client)
{
	canvas.pushDialog(Stranded_Cook);
	RecipeBook.clear();
	commandtoserver('Stranded_PopulateRecipeBook',%client);
}

function clientCmdStranded_OpenForge(%client)
{
	canvas.pushDialog(Stranded_Forge);
	Forge.clear();
	commandtoserver('Stranded_PopulateForge',%client);
}

function clientCmdStranded_OpenCraft(%client)
{
	canvas.pushDialog(Stranded_Craft);
	CraftMenu.clear();
	commandtoserver('Stranded_PopulateCraft',%client);
}

function clientCmdStranded_OpenTribe(%client)
{
	canvas.pushDialog(Stranded_Tribe);
	TribeList.clear();
	TribePlayerList.clear();
	commandtoserver('Stranded_PopulateTribe',%client);
}

function clientCmdStranded_SetCook(%client,%i,%txt)
{
	if(isObject(RecipeBook))
	{
		RecipeBook.addRow(%i,%txt);
	}
}

function clientCmdStranded_SetCraft(%client,%i,%txt)
{
	if(isObject(CraftMenu))
	{
		CraftMenu.addRow(%i,%txt);
	}
}


function clientCmdStranded_SetForge(%client,%i,%txt)
{
	if(isObject(Forge))
	{
		Forge.addRow(%i,%txt);
	}
}

function Stranded_ClearInv(%client)
{
	if(isObject(Inventory))
	{
		Inventory.clear();
	}
}

function clientCmdStranded_SetInv(%client,%i,%txt)
{
	if(isObject(Inventory))
	{
		Inventory.addRow(%i,%txt);
	}
}

function clientCmdStranded_SetTribe(%client,%i,%txt,%type)
{
	%i += 2;
	if(%type == 0)
	{
		TribePlayerList.addRow(0,"Player List:");
		TribePlayerList.addRow(1,"_______________");
		TribeList.addRow(0,"Tribe Member List:");
		TribeList.addRow(1,"_______________");
	}
	if(isObject(TribeList) && %type == 1)
	{
		TribeList.addRow(%i,%txt);
	}

	if(isObject(TribePlayerList) && %type == 2 || %type $= "2")
	{
		TribePlayerList.addRow(%i,%txt);
	}
}

function Stranded_ToggleInv(%client)
{
	$StranInvOn = 1;
	canvas.pushDialog(Stranded_Inventory);
	Stranded_ClearInv(%client);
	commandtoserver('Stranded_PopulateInv',%client);
}

function clientCmdStranded_RecieveInvData(%client,%type,%amt,%i)
{
	if(%i == 0)
	{
		Inventory.clear();
		return;
	}
	if(%amt > 0)
	{
		Inventory.addRow(%i, %type @ " - " @ %amt);
	}
}